Qwt User's Guide 5.2.3

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions
QwtPickerMachine Class Reference

`#include <qwt_picker_machine.h>`

Inheritance diagram for QwtPickerMachine:
[legend]

List of all members.

## Public Types

enum | Command { Begin, Append, Move, End }
typedef QList< Command > | CommandList

## Public Member Functions

virtual | ~QwtPickerMachine ()
void | reset ()
void | setState (int)
int | state () const
virtual CommandList | transition (const QwtEventPattern &, const QEvent *)=0

## Protected Member Functions

| QwtPickerMachine ()

## Detailed Description

A state machine for QwtPicker selections.

QwtPickerMachine accepts key and mouse events and translates them into selection commands.

See also:
  QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode